<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Variable Symbols</TITLE>
<link href="suif1_56.html" rel=Next>
<link href="suif1_54.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_54.html">previous</A>, <A HREF="suif1_56.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC55" HREF="suif1_toc.html#TOC55">Variable Symbols</A></H2>
<P>
<A NAME="IDX370"></A>
<A NAME="IDX371"></A>

</P>
<P>
<A NAME="IDX372"></A>
In SUIF, variable symbols represent data objects.  Variable symbols
are represented by objects of the <CODE>var_sym</CODE> class.  This class
adds a field to specify the type of the variable as well as some
additional flags.  Unlike procedures and labels, variables may be
defined in any scope.

</P>
<P>
SUIF provides optional <STRONG>sub-variables</STRONG> to make it easier to deal
with pieces of aggregate objects that may or may not overlap, in
particular Fortran equivalences and reshaped common blocks.  Instead of
referring to a piece of an aggregate by an offset combined with the
aggregate symbol, a sub-variable can be created to represent the data at
a particular offset within the aggregate, so that it can be referenced
in the same way as if it were not contained within an aggregate
structure.

</P>

<UL>
<LI><A HREF="suif1_56.html#SEC56">Variable Features</A>: Basic features of variables.
<LI><A HREF="suif1_57.html#SEC57">Sub-Variables</A>: Variables contained within aggregates.
<LI><A HREF="suif1_58.html#SEC58">Variable Definitions</A>: Definitions of global and static variables.
</UL>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_54.html">previous</A>, <A HREF="suif1_56.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
